"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FacesRatingBarComponentBuilder = void 0;
const AbstractComponentBuilder_1 = require("./AbstractComponentBuilder");
class FacesRatingBarComponentBuilder extends AbstractComponentBuilder_1.AbstractComponentBuilder {
    constructor(id) {
        super(id, 'FacesRatingBar');
    }
    setTooltips(tooltips) {
        this.patch({
            tooltips,
        });
        return this;
    }
    isValid() {
        const { tooltips } = this.state();
        const validation = this.createValidationResponse().withParentValidation(super.isValid());
        if (tooltips?.length) {
            validation.withCheck('should be exactly 5 tooltips', () => {
                return tooltips?.length === 5;
            });
        }
        return validation.validate();
    }
}
exports.FacesRatingBarComponentBuilder = FacesRatingBarComponentBuilder;
//# sourceMappingURL=FacesRatingBarComponentBuilder.js.map