"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownSchema = void 0;
const zod_1 = require("zod");
const Dropdown = 'Dropdown';
exports.DropdownSchema = zod_1.z.object({
    questionId: zod_1.z.string(),
    label: zod_1.z.string(),
    placeholder: zod_1.z.string().optional(),
    type: zod_1.z.literal(Dropdown),
    options: zod_1.z
        .array(zod_1.z.object({
        id: zod_1.z.string(),
        displayName: zod_1.z.string(),
    }))
        .min(2, {
        message: 'Dropdown component are required to contain at least 2 options',
    })
        .refine((val) => {
        const ids = val.map(({ id }) => id);
        return ids.length === new Set(ids).size;
    }, {
        message: 'Dropdown options are required to have unique ids',
    }),
});
//# sourceMappingURL=dropdown.js.map