"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SegmentedToggleSchema = void 0;
const zod_1 = require("zod");
const SegmentedToggle = 'SegmentedToggle';
const PositiveButtonSchema = zod_1.z.object({
    id: zod_1.z.literal('positive'),
    displayName: zod_1.z.string().optional(),
});
const NegativeButtonSchema = zod_1.z.object({
    id: zod_1.z.literal('negative'),
    displayName: zod_1.z.string().optional(),
});
exports.SegmentedToggleSchema = zod_1.z.object({
    type: zod_1.z.literal(SegmentedToggle),
    questionId: zod_1.z.string(),
    label: zod_1.z.string(),
    buttons: zod_1.z
        .union([
        zod_1.z.tuple([PositiveButtonSchema, NegativeButtonSchema]),
        zod_1.z.tuple([NegativeButtonSchema, PositiveButtonSchema]),
    ])
        .optional()
        .default([{ id: 'positive' }, { id: 'negative' }]),
});
//# sourceMappingURL=segmented-toggle.js.map