"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbnailsSchema = void 0;
const zod_1 = require("zod");
const Thumbnails = 'Thumbnails';
exports.ThumbnailsSchema = zod_1.z.object({
    type: zod_1.z.literal(Thumbnails),
    questionId: zod_1.z.string(),
    label: zod_1.z.string(),
    options: zod_1.z
        .array(zod_1.z.object({
        id: zod_1.z.string(),
        label: zod_1.z.string().optional(),
        imageUrl: zod_1.z.string(),
    }))
        .min(2)
        .max(2)
        .refine((val) => {
        const ids = val.map(({ id }) => id);
        return ids.length === new Set(ids).size;
    }, {
        message: 'Thumbnails options are required to have unique ids',
    }),
});
//# sourceMappingURL=thumbnails.js.map