import { z } from 'zod';
const SegmentedToggle = 'SegmentedToggle';
const PositiveButtonSchema = z.object({
    id: z.literal('positive'),
    displayName: z.string().optional(),
});
const NegativeButtonSchema = z.object({
    id: z.literal('negative'),
    displayName: z.string().optional(),
});
export const SegmentedToggleSchema = z.object({
    type: z.literal(SegmentedToggle),
    questionId: z.string(),
    label: z.string(),
    buttons: z
        .union([
        z.tuple([PositiveButtonSchema, NegativeButtonSchema]),
        z.tuple([NegativeButtonSchema, PositiveButtonSchema]),
    ])
        .optional()
        .default([{ id: 'positive' }, { id: 'negative' }]),
});
//# sourceMappingURL=segmented-toggle.js.map