import { ComponentType, IStructure } from '../types';
export declare abstract class AbstractComponentBuilder<TType extends ComponentType> {
    #private;
    private id;
    private type;
    protected constructor(id: string, type: TType);
    setLabel(label: string): this;
    setPlaceholder(placeholder: string): this;
    protected patch(state: Partial<IStructure<TType>>): this;
    protected state(): Partial<IStructure<TType>>;
    isValid(): {
        valid: boolean;
        messages: string[];
    } | null;
    protected createValidationResponse(): {
        withParentValidation: (_response: {
            valid: boolean;
            messages: string[];
        } | null) => any;
        withCheck: (message: string, validate: () => boolean) => any;
        validate: () => {
            id: string;
            type: TType;
            valid: boolean;
            messages: string[];
        };
    };
    build(): IStructure<TType>;
}
//# sourceMappingURL=AbstractComponentBuilder.d.ts.map