import { z } from 'zod';
import { QuestionDefinition } from '../core';
declare const Dropdown: "Dropdown";
export type DropdownComponentType = typeof Dropdown;
interface DropdownOption {
    id: string;
    displayName: string;
}
export interface DropdownComponentDefinition extends QuestionDefinition<DropdownComponentType> {
    options: DropdownOption[];
    placeholder?: string;
}
export declare const DropdownSchema: z.ZodObject<{
    questionId: z.ZodString;
    label: z.ZodString;
    placeholder: z.ZodOptional<z.ZodString>;
    type: z.ZodLiteral<"Dropdown">;
    options: z.ZodEffects<z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        displayName: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        displayName: string;
    }, {
        id: string;
        displayName: string;
    }>, "many">, {
        id: string;
        displayName: string;
    }[], {
        id: string;
        displayName: string;
    }[]>;
}, "strip", z.ZodTypeAny, {
    options: {
        id: string;
        displayName: string;
    }[];
    type: "Dropdown";
    questionId: string;
    label: string;
    placeholder?: string | undefined;
}, {
    options: {
        id: string;
        displayName: string;
    }[];
    type: "Dropdown";
    questionId: string;
    label: string;
    placeholder?: string | undefined;
}>;
export {};
//# sourceMappingURL=dropdown.d.ts.map