import { z } from 'zod';
import { QuestionDefinition } from '../core';
declare const SegmentedToggle: "SegmentedToggle";
export type SegmentedToggleComponentType = typeof SegmentedToggle;
interface PositiveButton {
    id: 'positive';
    displayName?: string;
}
interface NegativeButton {
    id: 'negative';
    displayName?: string;
}
export interface SegmentedToggleComponentDefinition extends QuestionDefinition<SegmentedToggleComponentType> {
    buttons?: [PositiveButton, NegativeButton] | [NegativeButton, PositiveButton];
}
export declare const SegmentedToggleSchema: z.ZodObject<{
    type: z.ZodLiteral<"SegmentedToggle">;
    questionId: z.ZodString;
    label: z.ZodString;
    buttons: z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodTuple<[z.ZodObject<{
        id: z.ZodLiteral<"positive">;
        displayName: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id: "positive";
        displayName?: string | undefined;
    }, {
        id: "positive";
        displayName?: string | undefined;
    }>, z.ZodObject<{
        id: z.ZodLiteral<"negative">;
        displayName: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id: "negative";
        displayName?: string | undefined;
    }, {
        id: "negative";
        displayName?: string | undefined;
    }>], null>, z.ZodTuple<[z.ZodObject<{
        id: z.ZodLiteral<"negative">;
        displayName: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id: "negative";
        displayName?: string | undefined;
    }, {
        id: "negative";
        displayName?: string | undefined;
    }>, z.ZodObject<{
        id: z.ZodLiteral<"positive">;
        displayName: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id: "positive";
        displayName?: string | undefined;
    }, {
        id: "positive";
        displayName?: string | undefined;
    }>], null>]>>>;
}, "strip", z.ZodTypeAny, {
    type: "SegmentedToggle";
    questionId: string;
    label: string;
    buttons: [{
        id: "positive";
        displayName?: string | undefined;
    }, {
        id: "negative";
        displayName?: string | undefined;
    }] | [{
        id: "negative";
        displayName?: string | undefined;
    }, {
        id: "positive";
        displayName?: string | undefined;
    }];
}, {
    type: "SegmentedToggle";
    questionId: string;
    label: string;
    buttons?: [{
        id: "positive";
        displayName?: string | undefined;
    }, {
        id: "negative";
        displayName?: string | undefined;
    }] | [{
        id: "negative";
        displayName?: string | undefined;
    }, {
        id: "positive";
        displayName?: string | undefined;
    }] | undefined;
}>;
export {};
//# sourceMappingURL=segmented-toggle.d.ts.map