import { z } from 'zod';
import { QuestionDefinition } from '../core';
declare const Thumbnails: "Thumbnails";
export type ThumbnailsComponentType = typeof Thumbnails;
interface ThumbnailOption {
    id: string;
    label?: string;
    imageUrl: string;
}
export interface ThumbnailsComponentDefinition extends QuestionDefinition<ThumbnailsComponentType> {
    options: ThumbnailOption[];
}
export declare const ThumbnailsSchema: z.ZodObject<{
    type: z.ZodLiteral<"Thumbnails">;
    questionId: z.ZodString;
    label: z.ZodString;
    options: z.ZodEffects<z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodOptional<z.ZodString>;
        imageUrl: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        imageUrl: string;
        label?: string | undefined;
    }, {
        id: string;
        imageUrl: string;
        label?: string | undefined;
    }>, "many">, {
        id: string;
        imageUrl: string;
        label?: string | undefined;
    }[], {
        id: string;
        imageUrl: string;
        label?: string | undefined;
    }[]>;
}, "strip", z.ZodTypeAny, {
    options: {
        id: string;
        imageUrl: string;
        label?: string | undefined;
    }[];
    type: "Thumbnails";
    questionId: string;
    label: string;
}, {
    options: {
        id: string;
        imageUrl: string;
        label?: string | undefined;
    }[];
    type: "Thumbnails";
    questionId: string;
    label: string;
}>;
export {};
//# sourceMappingURL=thumbnails.d.ts.map