import { z, ZodType } from 'zod';
import { QuestionDefinition } from '../core';

const FacesRatingBar = 'FacesRatingBar' as const;

export type FacesRatingBarComponentType = typeof FacesRatingBar;

export interface FacesRatingBarComponentDefinition
  extends QuestionDefinition<FacesRatingBarComponentType> {
  tooltips?: [string, string, string, string, string];
}

export const FacesRatingBarSchema = z.object({
  type: z.literal(FacesRatingBar),
  questionId: z.string(),
  label: z.string(),
  tooltips: z
    .tuple([z.string(), z.string(), z.string(), z.string(), z.string()])
    .optional(),
}) satisfies ZodType<FacesRatingBarComponentDefinition>;
