import { z, ZodType } from 'zod';
import { QuestionDefinition } from '../core';

const TextInput = 'TextInput' as const;

export type TextInputComponentType = typeof TextInput;

export interface TextInputComponentDefinition
  extends QuestionDefinition<TextInputComponentType> {
  placeholder?: string;
}

export const TextInputSchema = z.object({
  type: z.literal(TextInput),
  questionId: z.string(),
  label: z.string(),
  placeholder: z.string().optional(),
}) satisfies ZodType<TextInputComponentDefinition>;
